- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FullyConnectedMesh Class Reference
[FullyConnectedMesh]

`#include <FullyConnectedMesh.h>`

Inheritance diagram for FullyConnectedMesh:

List of all members.

## Public Member Functions
void | Startup (const char *password, int _passwordLength)
| Set the password to use to connect to the other systems.
void | ConnectWithNatPunchthrough (NatPunchthrough *np, SystemAddress _facilitator)
virtual void | OnShutdown (RakPeerInterface *peer)
virtual void | Update (RakPeerInterface *peer)
virtual PluginReceiveResult | OnReceive (RakPeerInterface *peer, Packet *packet)

## Detailed Description

Fully connected mesh plugin. This will connect RakPeer to all connecting peers, and all peers the connecting peer knows about.

Precondition:
  You must also install the ConnectionGraph plugin. If you want a password, set it there.

## Member Function Documentation

void FullyConnectedMesh::ConnectWithNatPunchthrough | ( | NatPunchthrough * | np,
|  | SystemAddress | _facilitator |
| ) |  |  |

Use the NAT punchthrough system to connect rather than calling directly

Parameters:

  `[in]` | np | Pointer to an attached instance of the NatPunchthrough plugin
  `[in]` | _facilitator | Address of the NAT punchthrough facilitator

void FullyConnectedMesh::OnShutdown | ( | RakPeerInterface * | peer | ) | `[virtual]`

Called when RakPeer is shutdown

Parameters:

  `[in]` | peer | the instance of RakPeer that is calling Receive

Reimplemented from PluginInterface.

void FullyConnectedMesh::Update | ( | RakPeerInterface * | peer | ) | `[virtual]`

Update is called every time a packet is checked for .

Parameters:

  `[in]` | peer | - the instance of RakPeer that is calling Receive

Reimplemented from PluginInterface.

PluginReceiveResult FullyConnectedMesh::OnReceive | ( | RakPeerInterface * | peer,
|  | Packet * | packet |
| ) |  |  | `[virtual]`

OnReceive is called for every packet.

Parameters:

  `[in]` | peer | the instance of RakPeer that is calling Receive
  `[in]` | packet | the packet that is being returned to the user

Returns:
  True to allow the game and other plugins to get this message, false to absorb it

Reimplemented from PluginInterface.

The documentation for this class was generated from the following files:

- C:/RakNet/Source/FullyConnectedMesh.h
- C:/RakNet/Source/FullyConnectedMesh.cpp